PHP Manual
Prev |  | Next

# zend_wrong_param_count

zend_wrong_param_count -- Generate standard error message for wrong parameter count in function or method call

## Description

#include <zend_API.h>

void zend_wrong_param_count ( magic TSRMLS_D )

zend_wrong_param_count() produces a standard warning message for functions or class methods that have been called with a wrong number of parameters. The function automaticly puts the right function name and class name (if needed) into the error message.

Usually the ZEND_WRONG_PARAM_COUNT() and ZEND_WRONG_PARAM_COUNT_WITH_RETVAL() macros are used to invoke this function instead of calling it immediately as this saves typing the TSRMLS_C argument.

## Parameters

TSRMLS_D

  Thread context

Prev | Home | Next
zend_ustrndup | Up | zend_zval_type_name